Package org.eclipse.viatra.query.patternlanguage.emf.annotations

## Class PatternAnnotationProvider

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.annotations.PatternAnnotationProvider

-     public class PatternAnnotationProvider
      extends java.lang.Object

  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PatternAnnotationProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<java.lang.String>` | `getAllAnnotationNames()` |
    `Annotation` | `getAnnotationObject​(java.lang.String annotationName)` |
    `AnnotationParameter` | `getAnnotationParameter​(java.lang.String annotationName, java.lang.String parameterName)` |
    `AnnotationParameter` | `getAnnotationParameter​(Annotation annotation, java.lang.String parameterName)` |
    `java.lang.Iterable<java.lang.String>` | `getAnnotationParameters​(java.lang.String annotationName)` |
    `java.lang.String` | `getDescription​(java.lang.String annotationName)` |
    `java.lang.String` | `getDescription​(java.lang.String annotationName, java.lang.String parameterName)` |
    `java.lang.String` | `getDescription​(Annotation annotation)` |
    `java.lang.String` | `getDescription​(AnnotationParameter parameter)` |
    `IPatternAnnotationValidator` | `getValidator​(java.lang.String annotationName)` | Returns a pattern annotation validator for a selected annotation name
    `boolean` | `hasValidator​(java.lang.String annotationName)` | Decides whether a validator is defined for the selected annotation name.
    `protected void` | `initializeValidators()` |
    `boolean` | `isDeprecated​(java.lang.String annotationName)` |
    `boolean` | `isDeprecated​(java.lang.String annotationName, java.lang.String parameterName)` |
    `boolean` | `isDeprecated​(Annotation annotation)` |
    `boolean` | `isDeprecated​(AnnotationParameter parameter)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternAnnotationProvider

          public PatternAnnotationProvider()

  - ### Method Detail

    - #### initializeValidators

          protected void initializeValidators()

    - #### getValidator

          public IPatternAnnotationValidator getValidator​(java.lang.String annotationName)

      Returns a pattern annotation validator for a selected annotation name
      Parameters:
        `annotationName` -
      Returns:
        a pattern annotation validator

    - #### getAnnotationObject

          public Annotation getAnnotationObject​(java.lang.String annotationName)

    - #### getAnnotationParameter

          public AnnotationParameter getAnnotationParameter​(java.lang.String annotationName,
                                                            java.lang.String parameterName)

    - #### getAnnotationParameter

          public AnnotationParameter getAnnotationParameter​(Annotation annotation,
                                                            java.lang.String parameterName)

    - #### hasValidator

          public boolean hasValidator​(java.lang.String annotationName)

      Decides whether a validator is defined for the selected annotation name.
      Parameters:
        `annotationName` -
      Returns:
        true, if a validator is defined

    - #### getAllAnnotationNames

          public java.util.Set<java.lang.String> getAllAnnotationNames()

    - #### getAnnotationParameters

          public java.lang.Iterable<java.lang.String> getAnnotationParameters​(java.lang.String annotationName)

    - #### getDescription

          public java.lang.String getDescription​(Annotation annotation)

    - #### getDescription

          public java.lang.String getDescription​(java.lang.String annotationName)

    - #### getDescription

          public java.lang.String getDescription​(AnnotationParameter parameter)

    - #### getDescription

          public java.lang.String getDescription​(java.lang.String annotationName,
                                                 java.lang.String parameterName)

    - #### isDeprecated

          public boolean isDeprecated​(Annotation annotation)

    - #### isDeprecated

          public boolean isDeprecated​(java.lang.String annotationName)

    - #### isDeprecated

          public boolean isDeprecated​(AnnotationParameter parameter)

    - #### isDeprecated

          public boolean isDeprecated​(java.lang.String annotationName,
                                      java.lang.String parameterName)